name: 🎁 Release Charts

on:
  push:
    tags:
      - "*"

jobs:
  release:
    runs-on: ubuntu-latest
    steps:
      - uses: actions/checkout@v4  
      - name: Publish Helm charts
        # uses: https://git.devthefuture.org/devthefuture/helm-pages.git@master
        uses: https://git.devthefuture.org/devthefuture/helm-pages.git@734ffe30e1f36bd4b95c77e80f145e7fa00874ca
        with:
          charts_dir: charts
          linting: off
          branch: pages
          charts_url: https://devthefuture.codeberg.org/helm-charts
          commit_username: "forgejo-actions"
          commit_email: "bot@devthefuture.org"
          ssh_private_key: ${{ secrets.M8A_ORG_BOT_REPO_TOKEN }}
          repo_url: git@git.devthefuture.org/${{ github.repository_owner }}/${{ github.repository }}.git